    /*
     *  call-seq:
     *     index_reader.undelete_all -> index_reader
     *
     *  Undelete all deleted documents in the index. This is kind of like a
     *  rollback feature. Not that once an index is committed or a merge happens
     *  during index, deletions will be committed and undelete_all will have no
     *  effect on these documents.
     */
    static VALUE
    frt_ir_undelete_all(VALUE self)
    {
        IndexReader *ir = (IndexReader *)DATA_PTR(self);
        ir_undelete_all(ir);
        return self;
    }